<!DOCTYPE html>
<?php
function ANHU($s,$len,$default)
{
	if(!preg_match("/^[A-Za-z0-9_-]+$/",$s)) $s=$default;
	if(strlen($s)>$len) $s=$default;
	return $s;
}
if(isset($_POST["lang"])) $lang=$_POST["lang"];
else if(isset($_GET["lang"])) $lang=$_GET["lang"];
else $lang="en";
$lang=ANHU($lang,16,"en");

if(isset($_POST["config"])) $config=$_POST["config"];
else if(isset($_GET["config"])) $config=$_GET["config"];
else $config="basic";
$config=ANHU($config,64,"basic");

if(isset($_POST["theme"])) $theme=$_POST["theme"];
else if(isset($_GET["theme"])) $theme=$_GET["theme"];
else $theme="minimalist";
$theme=ANHU($theme,64,"neo-classic");

if(isset($_POST["sgf"])) $sgf=urldecode($_POST["sgf"]);
else if(isset($_GET["sgf"]))
{
	$sgf=urldecode($_GET["sgf"]);
	if(preg_match("/[?()&]/",$sgf)) $sgf="";
	if(!preg_match("/\.sgf$/",$sgf)) $sgf="";
	if(strlen($sgf)>256) $sgf=""; // 64 not enough here
}
else $sgf="";
$sgf=str_replace("<","&lt;",str_replace(">","&gt;",$sgf));

if(isset($_POST["path"])) $path=urldecode($_POST["path"]);
else if(isset($_GET["path"])) $path=urldecode($_GET["path"]);
else $path="";
if(preg_match("/[?()&<>'\"]/",$path)) $path="";

?>
<html lang="<?php echo $lang; ?>">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width,initial-scale=1.0">
<style>
body
{
	margin:0;
	/* add 1px padding to avoid problem with viewer margin if any */
	padding:1px;
}
.mxMinimalistTheme
{
	margin:1em auto;
}
</style>
</head>
<body>
<?php
	//echo "sgf=".$sgf."<br>";
	//echo "config=".$config."<br>";
	//echo "theme=".$theme."<br>";
	//echo "lang=".$lang."<br>";
?>
<script src="_maxigos/_i18n/maxigos-i18n-<?php echo $lang;?>.js"></script>
<script src="_maxigos/_alone/maxigos-<?php echo $theme.'-'.$config;?>.js">
<?php echo $sgf;?>
</script>
<script src="mgosIframe.js"></script>
</body>
</html>
